Subject: Re: [PATCH 4/4] cpsw: add switchdev support

From: Andrew Lunn <[email-masked]>
Date: Thu, 24 May 2018 18:39:04 +0200

On Thu, May 24, 2018 at 04:32:34PM +0300, Ilias Apalodimas wrote:
> On Thu, May 24, 2018 at 03:12:29PM +0200, Andrew Lunn wrote:
> > Device tree is supposed to describe the hardware. Using that hardware
> > in different ways is not something you should describe in DT.
> > 
> The new switchdev mode is applied with a .config option in the kernel. What you
> see is pre-existing code, so i am not sure if i should change it in this
> patchset.

If you break the code up into a library and two drivers, it becomes a
moot point.

But what i don't like here is that the device tree says to do dual
mac. But you ignore that and do sometime else. I would prefer that if
DT says dual mac, and switchdev is compiled in, the probe fails with
EINVAL. Rather than ignore something, make it clear it is invalid.

      Andrew